%define major		0
%define api		0.12
%define gi_major	0.12

%define oname		champlain
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}

%define girname		%mklibname %{oname}-gir %{gi_major}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{gi_major}

%define libnamedev	%mklibname -d %{oname}
%define libnamedevgtk	%mklibname -d %{oname}-gtk

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.12.3
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	http://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
BuildRequires:	pkgconfig(memphis-0.2)
#BuildRequires:	libvala-devel
BuildRequires:	vala-tools

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#--------------------------------------------------------------------

%package -n %libname
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libnamegtk}
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libnamegtk}
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%files -n %{libnamegtk}
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+ 
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package contains development files for %{name}.

%files -n %libnamedev
%doc %{_datadir}/gtk-doc/html/libchamplain
%{_datadir}/gir-1.0/Champlain-%{gi_major}.gir
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/pkgconfig/%{oname}-memphis-%{api}.pc
%{_includedir}/%{name}-%{api}

#--------------------------------------------------------------------

%package -n %{libnamedevgtk}
Summary:	Development files for %{name}-gtk
Group:		Development/GNOME and GTK+ 
Provides:	%{oname}-gtk-devel = %{version}-%{release}
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{libnamedevgtk}
This package contains development files for %{name}-gtk.

%files -n %libnamedevgtk
%doc %{_datadir}/gtk-doc/html/libchamplain-gtk
%{_datadir}/gir-1.0/GtkChamplain-%{gi_major}.gir
%{_libdir}/%{name}-gtk-%{api}.so
%{_libdir}/pkgconfig/%{oname}-gtk-%{api}.pc
%{_includedir}/%{name}-gtk-%{api}

#--------------------------------------------------------------------

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other 
Requires:	%{libnamedev} = %{version}-%{release}
Requires:	%{libnamedevgtk} = %{version}-%{release}
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%files vala
%{_datadir}/vala/vapi/%{oname}-%{api}.vapi
%{_datadir}/vala/vapi/%{oname}-gtk-%{api}.vapi

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GData.

%files -n %{girname}
%{_libdir}/girepository-1.0/Champlain-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{girnamegtk}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{girnamegtk}
GObject Introspection interface description for GData.

%files -n %{girnamegtk}
%{_libdir}/girepository-1.0/GtkChamplain-%{gi_major}.typelib

#--------------------------------------------------------------------

%package demos
Summary:	Demo apps for %{name}
Group:		System/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk-devel = %{version}-%{release}
BuildArch:	noarch

%description demos
This package contains demos for development using %{name}.

%files demos
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py
%doc demos/*.osm

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-debug \
	   --disable-silent-rules \
	   --disable-static \
           --enable-gtk \
	   --enable-gtk-doc \
	   --enable-introspection=yes \
	   --enable-vala=yes \

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

# Remove rpaths.
chrpath --delete %{buildroot}%{_libdir}/%{name}-gtk-*.so.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.12.3-3.mga3
+ Revision: 356919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 fwang <fwang> 0.12.3-2.mga3
+ Revision: 300935
- rebuild for new cogl

* Sun Jul 15 2012 wally <wally> 0.12.3-1.mga3
+ Revision: 270943
- new version 0.12.3

* Fri Jun 08 2012 fwang <fwang> 0.12.2-1.mga3
+ Revision: 257410
- new version 0.12.2

* Tue Mar 06 2012 fwang <fwang> 0.12.1-4.mga2
+ Revision: 219638
- rebuild for new cogl

* Thu Feb 23 2012 mitya <mitya> 0.12.1-3.mga2
+ Revision: 213565
- Fix build (see GNOME bug #669378)

  + fwang <fwang>
    - rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 0.12.1-2.mga2
+ Revision: 197228
- rebuild for new cogl

* Tue Dec 20 2011 fwang <fwang> 0.12.1-1.mga2
+ Revision: 184816
- new version 0.12.1

* Thu Nov 24 2011 fwang <fwang> 0.12.0-4.mga2
+ Revision: 171547
- fix requires

* Wed Nov 23 2011 fwang <fwang> 0.12.0-3.mga2
+ Revision: 171159
- more patch
- drop g_thread_init
- rebuild for new clutter

* Mon Sep 19 2011 wally <wally> 0.12.0-2.mga2
+ Revision: 145702
- rebuild for new cogl

* Sun Sep 18 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 144778
- new version 0.12.0

* Sat Sep 03 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 138154
- new version 0.11.0
- new major 0.12
- clean BRs and use pkgconfig style if possible
- add more general provides to -devel pkgs
- fix requires
- enable memphis support
- clean .spec

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-4.mga2
+ Revision: 106039
- Fix requires

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-3.mga2
+ Revision: 105975
- Do not require non existant packages
- remove copy/paste error

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-2.mga2
+ Revision: 105970
- Fix requires in the devel package

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.0-1.mga2
+ Revision: 105965
- Fix buildrequires
- New version
  Split for git packages
  Split gtk devel package outside of main devel package
  Create a demo subpackage

* Sat Apr 16 2011 pterjan <pterjan> 0.8.3-1.mga1
+ Revision: 86648
- Update to 0.8.3 (0.10.0 wants gtk3)

* Sun Jan 23 2011 pterjan <pterjan> 0.8.1-1.mga1
+ Revision: 35689
- imported package libchamplain

